import { writable } from 'svelte/store';

const initSurfers = [
    { color: 'lightgray', priority: '', name: '' },
    { color: 'lightgray', priority: '', name: '' },
    { color: 'lightgray', priority: '', name: '' },
    { color: 'lightgray', priority: '', name: '' },
    { color: 'lightgray', priority: '', name: '' },
    { color: 'lightgray', priority: '', name: '' },
];

const initRound = {
    name: '',
    heat: 1,
    category: ''
};

function createPriority() {
    const { subscribe, set, update } = writable({
        surfers: initSurfers,
        round: initRound,
        surfersCount: 4
    })
    const reset = () => {
        set({
            surfers: initSurfers,
            round: initRound,
            surfersCount: 4
        });
    }

    return {
        subscribe,
        set,
        update,
        reset,
    }
};

export const priority = createPriority();